<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \TYPO3\CMS\Core\Imaging\IconRegistry::class );

$extIconPath = 'EXT:tsconf/Resources/Public/Icons/PageTree/World/EU/DE/';

$extIcons = array(
		'DE-BB' => array(
				'identifier' => 'contains-DE-BB'
				, 'key' => 'DE-BB'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-BB'
				, 'source' => $extIconPath . 'DE-BB.svg'
		),
		'DE-BE' => array(
				'identifier' => 'contains-DE-BE'
				, 'key' => 'DE-BE'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-BE'
				, 'source' => $extIconPath . 'DE-BE.svg'
		),
		'DE-BW' => array(
				'identifier' => 'contains-DE-BW'
				, 'key' => 'DE-BW'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-BW'
				, 'source' => $extIconPath . 'DE-BW.svg'
		),
		'DE-BY' => array(
				'identifier' => 'contains-DE-BY'
				, 'key' => 'DE-BY'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-BY'
				, 'source' => $extIconPath . 'DE-BY.svg'
		),
		'DE-HB' => array(
				'identifier' => 'contains-DE-HB'
				, 'key' => 'DE-HB'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-HB'
				, 'source' => $extIconPath . 'DE-HB.svg'
		),
		'DE-HE' => array(
				'identifier' => 'contains-DE-HE'
				, 'key' => 'DE-HE'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-HE'
				, 'source' => $extIconPath . 'DE-HE.svg'
		),
		'DE-HH' => array(
				'identifier' => 'contains-DE-HH'
				, 'key' => 'DE-HH'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-HH'
				, 'source' => $extIconPath . 'DE-HH.svg'
		),
		'DE-MV' => array(
				'identifier' => 'contains-DE-MV'
				, 'key' => 'DE-MV'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-MV'
				, 'source' => $extIconPath . 'DE-MV.svg'
		),
		'DE-NI' => array(
				'identifier' => 'contains-DE-NI'
				, 'key' => 'DE-NI'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-NI'
				, 'source' => $extIconPath . 'DE-NI.svg'
		),
		'DE-NW' => array(
				'identifier' => 'contains-DE-NW'
				, 'key' => 'DE-NW'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-NW'
				, 'source' => $extIconPath . 'DE-NW.svg'
		),
		'DE-RP' => array(
				'identifier' => 'contains-DE-RP'
				, 'key' => 'DE-RP'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-RP'
				, 'source' => $extIconPath . 'DE-RP.svg'
		),
		'DE-SH' => array(
				'identifier' => 'contains-DE-SH'
				, 'key' => 'DE-SH'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-SH'
				, 'source' => $extIconPath . 'DE-SH.svg'
		),
		'DE-SL' => array(
				'identifier' => 'contains-DE-SL'
				, 'key' => 'DE-SL'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-SL'
				, 'source' => $extIconPath . 'DE-SL.svg'
		),
		'DE-SN' => array(
				'identifier' => 'contains-DE-SN'
				, 'key' => 'DE-SN'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-SN'
				, 'source' => $extIconPath . 'DE-SN.svg'
		),
		'DE-ST' => array(
				'identifier' => 'contains-DE-ST'
				, 'key' => 'DE-ST'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-ST'
				, 'source' => $extIconPath . 'DE-ST.svg'
		),
		'DE-TH' => array(
				'identifier' => 'contains-DE-TH'
				, 'key' => 'DE-TH'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Flag DE-TH'
				, 'source' => $extIconPath . 'DE-TH.svg'
		),
);

foreach( ( array ) $extIcons as $extIcon )
{
	$iconRegistry->registerIcon(
					$extIcon[ 'identifier' ]
					, \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class
					, [ 'source' => $extIcon[ 'source' ] ]
	);
	$TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array(
			$extIcon[ 'label' ]
			, $extIcon[ 'key' ]
			, $extIcon[ 'identifier' ]
	);
	$TCA[ 'pages' ][ 'ctrl' ][ 'typeicon_classes' ][ $extIcon[ 'identifier' ] ] = $extIcon[ 'identifier' ];
}