<?php

namespace Netzmacher\Tsconf\Utility\UserFunc;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2016-2020 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * Class provides methods for the extension manager.
 *
 * @author    Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package    TYPO3
 * @subpackage    tsconf
 * @version  7.0.0
 * @since    7.0.0
 */
class ConfTemplate
{

  /**
   * promptExternalLinks(): Displays the quick start message.
   *
   * @return  string    message wrapped in HTML
   * @access  public
   * @version 7.0.0
   * @since   7.0.0
   */
  public function promptExternalLinks()
  {
//.message-notice
//.message-information
//.message-ok
//.message-warning
//.message-error

    $prompt = null;

    $prompt = $prompt . '
<div class="message-body" style="max-width:600px;">
  ' . $GLOBALS[ 'LANG' ]->sL( 'LLL:EXT:tsconf/Resources/Private/Language/locallang.xlf:promptExternalLinksBody' ) . '
</div>';

    return $prompt;
  }

  /**
   * promptSponsors( ): Displays the quick start message.
   *
   * @return  string    message wrapped in HTML
   * @access  public
   * @version 7.0.0
   * @since   7.0.0
   */
  public function promptSponsors()
  {
//.message-notice
//.message-information
//.message-ok
//.message-warning
//.message-error

    $prompt = null;

    $prompt = $prompt . '
<div class="message-body" style="max-width:600px;">
  ' . $GLOBALS[ 'LANG' ]->sL( 'LLL:EXT:tsconf/Resources/Private/Language/locallang.xlf:promptSponsors' ) . '
</div>';

    return $prompt;
  }

}
