<?php

use Netzmacher\Tsconf\Misc\TsconfIcons;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \TYPO3\CMS\Core\Imaging\IconRegistry::class );

$extIcons = TsconfIcons::Get();
foreach( ( array ) $extIcons as $extIcon )
{
	$iconRegistry->registerIcon(
					$extIcon[ 'identifier' ]
					, \TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider::class
					, [ 'source' => $extIcon[ 'source' ] ]
	);
}